## ros-indigo-audio-common-msgs 0.2.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(audio_common_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation)
add_message_files(DIRECTORY msg FILES AudioData.msg)
generate_messages()

catkin_package(CATKIN_DEPENDS message_runtime)

=== debian/changelog ===
ros-indigo-audio-common-msgs (0.2.13-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.12-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Feb 2016 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.11-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 16 Feb 2016 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.10-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Jan 2016 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.9-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.8-0trusty) trusty; urgency=high

  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 02 Oct 2015 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.7-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.6-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Feb 2014 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.5-0trusty) trusty; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Jan 2014 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.4-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 10 Sep 2013 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.3-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.2-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Apr 2013 00:00:00 -0000

ros-indigo-audio-common-msgs (0.2.1-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:59:00 -0000

ros-indigo-audio-common-msgs (0.2.0-0trusty) trusty; urgency=high

  * Catkinize audio_common_msgs.
  * Versions and more URLs.
  * Convert manifests to package.xml
  * Ditch old makefiles.
  * Fixed audio_msgs names to audio_common_msgs
  * Renamed audio_msgs to audio_common_msgs
  * Contributors: Austin Hendrix, Nate Koenig

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:49:00 -0000

=== debian/control ===
Source: ros-indigo-audio-common-msgs
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation
Homepage: http://ros.org/wiki/audio_common_msgs
Standards-Version: 3.9.2

Package: ros-indigo-audio-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime
Description: Messages for transmitting audio via ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-audio-common-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
